/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#include "sam_hwd.h"
#include "sim_helper.h"

void init_before_setup()
{
    init_variant_before_setup();
    initADC();
    initPWM();
    initDIO();
}

void init_after_setup()
{
    init_variant_after_setup();
    startADC();
    startPWM();
}

void loop_system()
{
    updateADC();
}

void delay(unsigned long delay)
{
}

void delayMicroseconds(unsigned long delay)
{
}
